## libkdtree++ 0.1.2

=== examples/Makefile ===
CPPFLAGS=`pkg-config libkdtree++ --cflags`

test_kdtree: test_kdtree.o
	$(CXX) $< -o $@
