## libkdtree++ 0.6.2

=== examples/Makefile ===
all: test_kdtree perf_kdtree

test_kdtree: test_kdtree.cpp
	g++ -I.. -Wall -ansi -pedantic -g -O2 -o test_kdtree test_kdtree.cpp

perf_kdtree: perf_kdtree.cpp
	g++ -I.. -Wall -O4 -o perf_kdtree perf_kdtree.cpp

clean:
	rm -f test_kdtree

.PHONY: clean
