=== debian/control ===
Source: libkdtree++
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 python3-all-dev,
 dh-sequence-python3,
 swig,
 cmake,
Homepage: https://github.com/nvmd/libkdtree
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/libkdtree.git
Vcs-Browser: https://salsa.debian.org/debian/libkdtree

Package: libkdtree++-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: C++ template container implementation of kd-tree sorting
 libkdtree++ is a C++ template container implementation of k-dimensional space
 sorting, using a kd-tree. It:
 .
   - supports an unlimited number of dimensions (in theory)
   - can store any data structure, provided the data structure provides
     operator[0 - k-1] to access the individual dimensional
     components (arrays, std::vector already do) and a std::less
     implementation for the type of dimensional components
   - has support for custom allocators
   - implements iterators
   - provides standard find as well as range queries
   - has amortised O(lg n) time (O(n lg n) worst case) on most
     operations (insert/erase/find optimised) and worst-case O(n) space
   - provides a means to rebalance and thus optimise the tree
   - exists in its own namespace
   - uses STL coding style, basing a lot of the code on stl_tree.h
 .
 libkdtree++ only exists as a -dev package as it's only a bunch of C++ header
 files. Therefore, no static or shared library is necessary, allowing for
 ultimate flexibility.

Package: python3-kdtree
Section: python
Architecture: any
Provides:
 ${python3:Provides}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends}
Description: container for kd-tree sorting for Python 3
 A container implementing k-dimensional space sorting using a kd-tree. It:
 .
  - supports two- to six-dimensional spaces
  - can store any data structure
  - provides standard find as well as range queries
  - has amortised O(lg n) time (O(n lg n) worst case) on most operations
    (insert/erase/find optimised) and worst-case O(n) space
  - provides means to rebalance and thus optimise the tree
 .
 This package contains the extension built for the Python 3 interpreter.
