## libkdtree++ 0.7.3

=== debian/changelog ===
libkdtree++ (0.7.3-1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:23:48 +0000

libkdtree++ (0.7.3-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:20:18 +0000

libkdtree++ (0.7.3-1) unstable; urgency=medium

  * QA upload.

  * Corrected Vcs links in d/control.
  * Added build dependency on python3-setuptools (Closes: #1080640).
  * Corrected upstream source URL in d/copyright.
  * New upstream version 0.7.3
    - Dropped gcc-5.patch now included upstream.
    - Refreshed enable-tests.patch and d/docs.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 23 Nov 2024 17:29:25 +0100
