## libkdtree++ 0.7.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
+cmake_minimum_required (VERSION 2.8.12)
 project (libkdtree CXX)
-cmake_minimum_required (VERSION 2.6.0)
+
+option (BUILD_PYTHON_BINDINGS "Build Python bindings (requires SWIG)")
 
 if (WIN32)
 
@@ -22,6 +24,14 @@
 
 endif (WIN32)
 
+if (BUILD_PYTHON_BINDINGS)
+   add_subdirectory (python-bindings)
+endif (BUILD_PYTHON_BINDINGS)
+
 include_directories (${PROJECT_SOURCE_DIR})
 
 add_subdirectory(examples)
+
+file (GLOB KDTREE_HEADERS kdtree++/*.hpp)
+install (FILES ${KDTREE_HEADERS} DESTINATION ${CMAKE_INSTALL_PREFIX}/include)
+
