=== debian/changelog ===
libkdtree++ (0.7.4-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Enable CI on salsa.
  * Enforce -DCMAKE_POLICY_VERSION_MINIMUM=3.5 (Closes: #1113165)

 -- Tobias Frost <tobi@debian.org>  Sun, 12 Oct 2025 11:59:11 +0200
