=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  python3-all-dev,
+ python3-setuptools,
  dh-sequence-python3,
  swig,
  cmake,
 Homepage: https://github.com/nvmd/libkdtree
 Standards-Version: 4.6.0
-Vcs-Git: https://salsa.debian.org/debian/libkdtree.git
-Vcs-Browser: https://salsa.debian.org/debian/libkdtree
+Vcs-Git: https://salsa.debian.org/debian/libkdtreepp.git
+Vcs-Browser: https://salsa.debian.org/debian/libkdtreepp
 
 Package: libkdtree++-dev
 Section: libdevel
