=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 
 cmake-configure-%:
 	dh_auto_configure -Bbuild-$* -- \
+		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
 		-DBUILD_PYTHON_BINDINGS=1 \
 		-DPYTHON_EXECUTABLE=/usr/bin/python$*
