## libkdtree++ 0.7.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required (VERSION 2.8.12)
+cmake_minimum_required (VERSION 3.5)
 project (libkdtree CXX)
 
 option (BUILD_PYTHON_BINDINGS "Build Python bindings (requires SWIG)")
