=== debian/changelog ===
libkdtree++ (0.7.5-1) unstable; urgency=medium

  * New upstream release.
   - Drop patch fix-python3-incompatibilities, no longer needed.
   - d/rules: overriding DCMAKE_POLICY_VERSION_MINIMUM is no longer needed.
  * Adopting package. (Closes: #813246)
  * Maintaining package in the FreeCAD Packaging Team.
  * Bump S-V to 4.7.3 - remove Priority: optional from d/control.
  * Update d/watch to templated Version:5 style.
  * Update debian/copyright years.
  * d/patches:
    - upstreamed patches, updated dep3 header accordingly
    - reported failing test to upstream, noted in dep3 header.
    - updated rename-py-kdtree_test.py.patch.
  * Cleanup d/rules:
    - remove obsolete dbgsym-package migration
    - use d/clean for cleaning the builddirs.

 -- Tobias Frost <tobi@debian.org>  Sat, 28 Feb 2026 15:22:15 +0100
