=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libkdtree++
 Section: libs
-Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: FreeCAD Packaging Team <team+freecad-packaging-team@tracker.debian.org>
+Uploaders: Tobias Frost <tobi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  python3-all-dev,
@@ -10,7 +10,7 @@
  swig,
  cmake,
 Homepage: https://github.com/nvmd/libkdtree
-Standards-Version: 4.6.0
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/libkdtreepp.git
 Vcs-Browser: https://salsa.debian.org/debian/libkdtreepp
