=== debian/rules ===
--- 
+++ 
@@ -13,19 +13,8 @@
 %:
 	dh $@ --buildsystem=cmake
 
-# clean targets
-
-cmake-clean-%:
-	rm -rf build-$*
-
-override_dh_auto_clean: \
-	$(PYTHON3:python%=cmake-clean-%)
-
-# configure targets
-
 cmake-configure-%:
 	dh_auto_configure -Bbuild-$* -- \
-		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
 		-DBUILD_PYTHON_BINDINGS=1 \
 		-DPYTHON_EXECUTABLE=/usr/bin/python$*
 
@@ -65,8 +54,5 @@
 	dh_auto_install \
 		-Bbuild-$(PYTHON)
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='python3-kdtree-dbg (<< 0.7.1+git20101123-6~)'
-
 execute_after_dh_python3:
 	find debian/python3-kdtree -name '*.cpython-*dm-*so' | xargs -r rm -f
