=== debian/watch ===
Version: 5

Template: Github
Owner: nvmd
Project: libkdtree
